#!/bin/sh
# check for fw_print/set env
fw_printenv="/usr/sbin/fw_printenv"
fw_setenv="/usr/sbin/fw_setenv"
upgrade_config="/tmp/_sys/sysupgrade.tgz"
	[ ! -x "$fw_printenv" ] && [ ! -x "$fw_setenv" ] && {
		return 1
	}
#get current bootargs
current_bootargs=$($fw_printenv bootargs)
#change ath-nor0 to spi0.0, EAP9550V2 to EAP150V2
replaced_bootargs=$(echo $current_bootargs | sed 's/ath-nor0/spi0.0/g' | sed 's/EAP9550V2/EAP150V2/g')
#set boot args if changed, and not empty
	[ -n "$replaced_bootargs" ] && [ ! "$current_bootargs" == "$replaced_bootargs" ] && {
		setargs=$(echo $replaced_bootargs | sed -r 's/^bootargs=//')
		fw_setenv bootargs ""$setargs""
	}
#disable config-restore
#sed -i '/mtd \-j \"\/tmp\/\_sys\/sysupgrade\.tgz\" write \"\${rootfs}\" \"rootfs\"/d' "/etc/fwupgrade.sh"
rm $upgrade_config 2>&-